## visad.data.ij
Class ImageJForm

    java.lang.Object
      visad.data.FormNode
          visad.data.Form
              visad.data.bio.LociForm
                  visad.data.ij.ImageJForm

All Implemented Interfaces:
  FormBlockReader, FormFileInformer, FormProgressInformer, MetadataReader, OMEReader

Deprecated. Use visad.data.bio.LociForm with loci.formats.ImageJReader

public class ImageJForm
extends LociForm

ImageJForm is the VisAD data form for the image formats supported by Wayne Rasband's excellent ImageJ program.

Field Summary

Fields inherited from class visad.data.bio.LociForm
`percent, reader, writer`

Fields inherited from class visad.data.Form
`mathType`

Constructor Summary
`ImageJForm()` Deprecated.

Method Summary
`static void` `main(String[] args)` Deprecated.

Methods inherited from class visad.data.bio.LociForm
`add, close, getBlockCount, getDefaultSuffixes, getForms, getMetadata, getMetadataValue, getOMENode, getPercentComplete, getReader, getWriter, isThisType, isThisType, open, open, open, save, setFrameRate, testRead`

Methods inherited from class visad.data.Form
`getMathType`

Methods inherited from class visad.data.FormNode
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageJForm

    public ImageJForm()

  Deprecated.

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Deprecated.
  Throws:
    `Exception`